com.ihr.xbrl.util.zip

## Class TaxonomyPackageHomeFile

- java.lang.Object
- - java.io.File
  - - com.ihr.xbrl.util.zip.TaxonomyPackageHomeFile

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<java.io.File>

      public class TaxonomyPackageHomeFile
      extends java.io.File

  The Class TaxonomyPackageHomeFile.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.io.File

      `pathSeparator, pathSeparatorChar, separator, separatorChar`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyPackageHomeFile(java.lang.String pathname)` Instantiates a new taxonomy package home file.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDirectory()`
    `boolean` | `isFile()`

    - ### Methods inherited from class java.io.File

      `canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURI, toURL`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyPackageHomeFile

          public TaxonomyPackageHomeFile(java.lang.String pathname)

      Instantiates a new taxonomy package home file.
      Parameters:
        `pathname` - the pathname

  - ### Method Detail

    - #### isDirectory

          public boolean isDirectory()

      Overrides:
        `isDirectory` in class `java.io.File`

    - #### isFile

          public boolean isFile()

      Overrides:
        `isFile` in class `java.io.File`